UNIQ(1)

NOM
uniq - Signaler ou éliminer les lignes répétées

SYNOPSIS
uniq [OPTION]... [ENTRÉE [SORTIE]]

DESCRIPTION

Filtrer les lignes successives identiques du fichier d'ENTRÉE (ou de l'entrée standard), écrire dans le fichier de SORTIE (ou vers la sortie standard).

Sans options, les lignes identiques sont fusionnées avec la première occurrence.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-c, --count
    préfixer les lignes par le nombre d'occurrences

-d, --repeated
    n'afficher que les lignes dupliquées, une par groupe

-D, --all-repeated[=MÉTHODE]
    afficher tous les groupes de lignes dupliquées, qui peuvent être délimités par une ligne vide. MÉTHODE peut prendre l'une des valeurs suivantes : « none » (valeur par défaut), « prepend » ou « separate ».

-f, --skip-fields=N
    ne pas comparer les N premiers champs

--group[=MÉTHODE]
    montrer tous les éléments, en séparant les groupes par une ligne vide ; valeurs possibles pour MÉTHODE : none (par défaut), prepend, append ou both

-i, --ignore-case
    ignorer les différences de casse

-s, --skip-chars=N
    ne pas comparer les N premiers caractères

-u, --unique
    n'afficher que les lignes uniques

-z, --zero-terminated
    le délimiteur de lignes est l’octet NULL, pas le changement de ligne

-w, --check-chars=N
    ne pas comparer plus de N caractères par ligne

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

Un champ est une suite de blancs (habituellement des espaces et/ou tabulations), suivi de caractères non-blancs. Les champs sont escamotés avant les caractères.

Note : « uniq » ne détecte pas les lignes répétées, sauf si elles sont adjacentes. Vous voudrez sûrement trier l'entrée d'abord, ou utilisez « sort -u » sans « uniq ». Aussi, les comparaisons respectent les règles indiquées par « LC_COLLATE ».

AUTEUR
Écrit par Richard M. Stallman et David MacKenzie.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction de uniq à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
comm(1), join(1), sort(1)

Documentation complète : <http://www.gnu.org/software/coreutils/uniq>
aussi disponible localement à l’aide de la commande : info '(coreutils) uniq invocation'

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Jean-Luc Coulon (f5ibh) <jean-luc DOT coulon AT wanadoo DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.